Skip to content

Move or rename a file or directory

POST
/v1/sandbox/{sandboxID}/filesystem/move

Move or rename a file or directory. Set overwrite to true to replace the destination if it exists.

sandboxID
required
string

Unique sandbox identifier.

object
src_path
required

Source path.

string
dst_path
required

Destination path.

string
overwrite

Overwrite destination if it exists.

boolean

File moved.

Bad request – validation error.

object
message
required

Summary message, e.g. “Invalid request”.

string
errors
required
Array<object>
object
field
required

JSON field name that failed validation (e.g. “path”, “command”).

string
error
required

Human-readable description of the validation failure.

string

Unauthorized – invalid or missing API key.

object
message
required

Human-readable error message.

string

Resource not found.

object
message
required

Human-readable error message.

string